OPENSEACHEST_SMART(1)

NAME
openSeaChest_SMART - manual page for openSeaChest_SMART ==========================================================================================

DESCRIPTION
==========================================================================================

    openSeaChest_SMART - openSeaChest drive utilities - NVMe Enabled Copyright (c) 2014-2024 Seagate Technology LLC and/or its Affiliates, All Rights Reserved openSeaChest_SMART Version: 2.5.1-8_0_1 X86_64 Build Date: Sep 19 2024 Today: 20240925T133707 User: current user

========================================================================================== Usage =====

    openSeaChest_SMART [-d <sg_device>] {arguments} {options}

Examples ========

    openSeaChest_SMART --scan openSeaChest_SMART -d /dev/sg<#> -i openSeaChest_SMART -d /dev/sg<#> --SATInfo openSeaChest_SMART -d /dev/sg<#> --llInfo openSeaChest_SMART -d /dev/sg<#> --smartCheck openSeaChest_SMART -d /dev/sg<#> --shortDST --captive openSeaChest_SMART -d /dev/sg<#> --conveyanceDST --poll openSeaChest_SMART -d /dev/sg<#> --longDST --poll openSeaChest_SMART -d /dev/sg<#> --idd short openSeaChest_SMART -d /dev/sg<#> --idd long --captive openSeaChest_SMART -d /dev/sg<#> --abortDST openSeaChest_SMART -d /dev/sg<#> --showDSTLog openSeaChest_SMART -d /dev/sg<#> --smartAttributes hybrid openSeaChest_SMART -d /dev/sg<#> --showNvmeHealth openSeaChest_SMART -d /dev/sg<#> --deviceStatistics openSeaChest_SMART -d /dev/sg<#> --smartFeature enable openSeaChest_SMART -d /dev/sg<#> --setMRIE 6 openSeaChest_SMART -d /dev/sg<#> --smartInfo openSeaChest_SMART -d /dev/sg<#> --smartAttributeAutosave disable openSeaChest_SMART -d /dev/sg<#> --smartAutoOffline enable openSeaChest_SMART -d /dev/sg<#> --showSMARTErrorLog comprehensive openSeaChest_SMART -d /dev/sg<#> --showSMARTErrorLog summary --smartErrorLogFormat raw openSeaChest_SMART -d /dev/sg<#> --showSCSIDefects g --defectFormat bfi openSeaChest_SMART -d /dev/sg<#> --dstAndClean --errorLimit 40

Return codes ============

    Generic/Common exit codes 0 = No Error Found 1 = Error in command line options 2 = Invalid Device Handle or Missing Device Handle 3 = Operation Failure 4 = Operation not supported 5 = Operation Aborted 6 = File Path Not Found 7 = Cannot Open File 8 = File Already Exists 9 = Need Elevated Privileges Anything else = unknown error

Utility Options ===============

--csmiIgnorePort (Obsolete)

    This option is obsolete and will be removed in future versions.

--csmiUsePort (Obsolete)

    This option is obsolete and will be removed in future versions.

--csmiVerbose (Obsolete)

    This option is obsolete and will be removed in future versions.

--echoCommandLine

    Echo the command line entered into the utility on the screen.

--enableLegacyUSBPassthrough

    Only use this option on old USB or IEEE1394 (Firewire) products that do not otherwise work with the tool. This option will enable a trial and error method that attempts sending various ATA Identify commands through vendor specific means. Because of this, certain products that may respond in unintended ways since they may interpret these commands differently than the bridge chip the command was designed for.

--forceATA

    Using this option will force the current drive to be treated as a ATA drive. Only ATA commands will be used to talk to the drive.

--forceATADMA
    (SATA Only)

    Using this option will force the tool to issue SAT commands to ATA device using the protocol set to DMA whenever possible (on DMA commands). This option can be combined with --forceATA

--forceATAPIO
    (SATA Only)

    Using this option will force the tool to issue PIO commands to ATA device when possible. This option can be combined with --forceATA

--forceATAUDMA
    (SATA Only)

    Using this option will force the tool to issue SAT commands to ATA device using the protocol set to UDMA whenever possible (on DMA commands). This option can be combined with --forceATA

--forceSCSI

    Using this option will force the current drive to be treated as a SCSI drive. Only SCSI commands will be used to talk to the drive.

-h, --help

    Show utility options and example usage (this output you see now) Please report bugs/suggestions to seaboard@seagate.com. Include the output of --version information in the email.

--license

    Display the Seagate End User License Agreement (EULA).

--modelMatch [model Number]

    Use this option to run on all drives matching the provided model number. This option will provide a closest match although an exact match is preferred. Ex: ST500 will match ST500LM0001

--onlyFW [firmware revision]

    Use this option to run on all drives matching the provided firmware revision. This option will only do an exact match.

--noTimeLimit

    Use with utility command arguments which have a built in timeout value. For example, --shortDST has a 10 minute default timeout. In some cases a good drive may need more time to complete the test due to other legitimate system activity.

--noBanner

    Use this option to suppress the text banner that displays each time openSeaChest is run.

--onlySeagate

    Use this option to match only Seagate drives for the options provided

-q, --quiet

    Run openSeaChest_SMART in quiet mode. This is the same as -v 0 or --verbose 0

-v [0-4], --verbose [0 | 1 | 2 | 3 | 4]

    Show verbose information. Verbosity levels are: 0 - quiet 1 - default 2 - command descriptions 3 - command descriptions and values 4 - command descriptions, values, and data buffers Example: -v 3 or --verbose 3

-V, --version

    Show openSeaChest_SMART version and copyright information & exit

Utility Arguments =================

-d, --device [deviceHandle | all]

    Use this option with most commands to specify the device handle on which to perform an operation. Example: /dev/sg<#> CSMI device handles can be specified as <error<#><#><#>> To run across all devices detected in the system, use the "all" argument instead of a device handle. Example: -d all NOTE: The "all" argument is handled by running the

specified options on each drive detected in the
    OS sequentially. For parallel operations, please use a script opening a separate instance for each device handle.

-F, --scanFlags [option list]

    Use this option to control the output from scan with the options listed below. Multiple options can be combined.

ata - show only ATA (SATA) devices
    usb - show only USB devices scsi - show only SCSI (SAS) devices nvme - show only NVMe devices interfaceATA - show devices on an ATA interface interfaceUSB - show devices on a USB interface interfaceSCSI - show devices on a SCSI or SAS interface interfaceNVME = show devices on an NVMe interface sd - show sd device handles sgtosd - show the sd and sg device handle mapping ignoreCSMI - do not scan for any CSMI devices allowDuplicates - allow drives with both CSMI and PD handles

    to show up multiple times in the list

-i, --deviceInfo

    Show information and features for the storage device

--llInfo

    Dump low-level information about the device to assist with debugging.

--poll

    Use this option to cause another operation to poll for progress until it has completed. This argument does not return to the command prompt and prints ongoing completion percentages (%)

the final test result.
    Full drive procedures will take a

very long time.
    Used with --sanitize, or --writeSame (SATA).

--progress [dst, idd]

    Get the progress for a test that was started quietly without the polling option (default). You must specify a test you wish to get progress from. Ex: "--progress dst" or "--progress sanitize" The progress counts up from 0% to 100%.

-s, --scan

    Scan the system and list all storage devices with logical /dev/sg<#> assignments. Shows model, serial and firmware numbers. If your device is not listed on a scan immediately after booting, then wait 10 seconds and run it again.

-S, --Scan

    This option is the same as --scan or -s, however it will also perform a low level rescan to pick up other devices. This low level rescan may wake devices from low power states and may cause the OS to re-enumerate them. Use this option when a device is plugged in and not discovered in a normal scan. NOTE: A low-level rescan may not be available on all interfaces or all OSs. The low-level rescan is not guaranteed to find additional devices in the system when the device is unable to come to a ready state.

--SATInfo

    Displays SATA device information on any interface using both SCSI Inquiry / VPD / Log reported data (translated according to SAT) and the ATA Identify / Log reported data.

--testUnitReady

    Issues a SCSI Test Unit Ready command and displays the status. If the drive is not ready, the sense key, asc, ascq, and fru will be displayed and a human readable translation from the SPC spec will be displayed if one is available.

--fastDiscovery

Use this option
    to issue a fast scan on the specified drive.

--abortDST

    Abort a diagnostic Drive Self Test that is in progress.

--abortIDD (Seagate Only)

    Abort a Seagate In Drive Diagnostic (IDD) that is in progress. This may return failure if IDD is not running or has already completed running.

--captive or --foreground

    Use this option to run a DST operation in captive/foreground mode. This mode may allow a device to test more of itself and may be slightly faster than offline/background mode since it does not need to service additional command during the test. When using this mode, the utility must wait the entire time for the DST to complete and progress cannot be indicated during this time.

--conveyanceDST

    Execute a conveyance diagnostic drive self test. A conveyance test can be used to check if a drive has incurred handling damage. This test can take up to 2 minutes to complete. Use the --poll argument to make this operation poll for progress until complete. Use the --progress dst command to check on the completion percentage (%) and test result. NOTE: conveyance DST may take longer if there is other disk usage while the DST is running. If the DST takes longer than 10 minutes it will automatically be aborted while polling for progress. To override this behavior, use the --noTimeLimit option.

--deviceStatistics

    Use this option to display the device statistics reported by the device. On SATA, this uses the Device Statistics log, and the notifications log (if DSN feature is supported) to display these statistics. On SAS, various log pages are read to collect a bunch of reported parameter information.

--errorLimit [limit in number of LBAs]

    Use this option to specify a different error limit for a user generic or long generic read test or DST and Clean. This must be a number of

    logical LBAs to have errors. If a drive has multiple logical sectors per physical sector, this number will

    be adjusted for you to reflect the drive architecture.

--idd [short | long]
    (Seagate Only)

    Start an In Drive Diagnostic (IDD) test on a Seagate drive. Not all tests are supported by all products. If a selected test is not supported, the utility will return a error code meaning "not supported". Short: Reset and Recalibration test. Be careful running this

    test on the boot device.

Long:
    Reset and Recalibration test and test G list and P list

Note: the --captive option can be added to run the long test in
    foreground/captive mode. This allows for G-list healing and some additional checks to be performed. This may not work on some products.

Note: Progress cannot be checked for the first 2 minutes of IDD.
    The drive is busy with the test and is not able to respond. Attempting to retrieve progress during this time will hang and may cause the IDD to abort due to the host issuing resets to recover access to the drive.

--longDST

    Execute a long diagnostic drive self test. This test takes hours to complete. A 2TB drive may take six (6) hours to complete. Use with the --poll argument to let SeaChest check for progress and print it to the screen until complete. Use the --progress dst command to check on the completion percentage(%) and test result. This test stops on the first error. Use --abortDST to manually stop the test. SAS drives give status in 1% increments. SATA drives give status in 10% increments which means more than an hour may elapse between updates on a SATA drive > 2TB.

    If the --longDST poll option is running and you want to abort the test then you will need to open a second terminal window and run the --abortDST command. Otherwise, it is safe to restart the system while long DST is running which also ends the test. NOTE: Long DST may take longer if there is other disk usage while the DST is running. If the DST takes longer than 5x the drive reported time, it will automatically be aborted while polling for progress. To override this behavior, use the--noTimeLimit option.

--shortDST

    Execute a short diagnostic drive self test. This test can take up to 2 minutes to complete. Use the --poll argument to make this operation poll for progress until complete. Use the --progress dst command to check on the completion percentage (%) and test result. NOTE: Short DST may take longer if there is other disk usage while the DST is running. If the DST takes longer than 10 minutes it will automatically be aborted while polling for progress. To override this behavior, use the --noTimeLimit option.

--showDSTLog

    This option will show the entries in the DST log. Up to 21 entries may be shown (pending drive support) and will be shown with the most recent entry first.

--smartCheck

    Perform a SMART check on a device to see if any internal thresholds have been tripped or if the drive is still operating within specification.

--smartFeature [ enable | disable ]
    (SATA Only)

    Use this option to enable or disable the SMART feature on a SATA drive. Note: This command is declared obsolete in ACS4.

    SATA Only: ========= --smartAttributes [raw | hybrid | analyzed] (SATA Only)

    The drive will display its list of supported SMART attributes. Some attributes names are commonly standard and most others are vendor unique. In either case, the attribute thresholds are always vendor unique. Most attributes are informational and not used to determine a warranty return. Use the --smartCheck command to determine if one of the warranty attributes has been tripped. Seagate Support does not help to analyze SMART attributes. Output modes:

    raw - All hex output for those that need every single bit. hybrid - classic table view with some interpretation of some

fields. Partial raw interpretation, but not all drive
    and firmware combinations are supported.

analyzed - a full breakdown of all parts of each individual
    attribute's data. Full raw data interpretation only available on select devices.

    NOTE: Migration to device statistics is recommended.

--smartAttributeAutosave [ enable | disable ]
    (SATA Only)

    Use this option to enable or disable SMART attribute auto-save on an ATA drive. Note: This command is declared obsolete in ACS4.

--smartAutoOffline [ enable | disable ]
    (SATA Only)

    Use this option to enable or disable SMART auto-off-line feature on an ATA drive.

--shortDST
    (SATA Only)

    Execute the SMART off-line data collection routine on an ATA drive. This will run for the amount of time the device specifies that this operation will take to complete. Progress updates are not available while this is running. Some drives allow other commands to be processed and some require no interruption while this routine completes. This routine does vendor unique activities to update the SMART data and SMART attributes the device reports. If the SMART auto-off-line feature is supported and enabled, then this routine is already running automatically in the background periodically.

--showSMARTErrorLog [ summary | comprehensive ] (SATA Only)

    This option will display the ATA SMART Error log on the screen. Use "summary" to view the summary SMART error log (last 5 entries) Use "comprehensive" to view all the entires the drive has available. Specifying "comprehensive" will automatically pull the ext error log on drives that support 48bit LBAs. Note: The summary error log will truncate 48bit commands, so some information

    will be missing to describe the operation of certain commands.

--smartErrorLogFormat [ raw | detailed ]
    (SATA Only)

    Use this option to change the format of the output from the --showSMARTErrorLog option. The default mode is "detailed"

--smartInfo (SATA Only)

    This option will show SMART information reported by a given device.

    SAS Only: ========= --defectFormat [ # | shortBlock | longBlock | xbfi | xchs | bfi | chs ] (SAS Only)

    This option set the format of the defects to output. Not all drives will support all defect modes! SSDs will only support block modes! Arguments: (name | #)

    shortBlock | 0 - show the defects in short block address mode (drives < 32bit LBA) xbfi | 1 - show the defects in extended bytes from index mode xchs | 2 - show the defects in extended physical cylinder-head-sector mode longBlock | 3 - show the defects in long block address mode (drives > 32bit LBA) bfi | 4 - show the defects in bytes from index mode chs | 5 - show the defects in physical cylinder-head-sector mode

--setMRIE [ default | 0 - 6 ]
    (SAS Only)

    Use this option to change the MRIE mode on the informational exceptions mode page.

default - set to the drive default
    0 - disable exception reporting 1 - Asynchronous reporting (obsolete) 2 - Establish unit attention condition 3 - Conditionally generate recovered error 4 - Unconditionally generate recovered error 5 - Generate no sense 6 - Report on request

WARNING: Changing MRIE may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

--showSCSIDefects [ p | g | pg ]
    (SAS Only)

    This option will display the SCSI defects on the screen. The arguments to this will tell whether to get the grown, primary, or primary and grown defects from the drive. Use the --defectFormat option to specify the mode to display the defects. If no mode is specified, physical cylinder-head-sector mode is assumed Arguments:

    p - use this option to pull and display the primary (factory) defects g - use this option to pull and display the grown (reallocated) defects

    The above options can be combined to pull and display both defect lists.

    NVMe Only: ========= --showNvmeHealth (NVMe Only)

    The drive will display the NVMe Health log (also called SMART log). All standardized fields will be printed to the screen for the device.

Data Destructive Commands =========================

--dstAndClean

    Runs DST, then checks for an error and repairs the error if possible. This continues until all errors reported by DST are fixed, or when the error limit is reached. The default limit is 50 errors.

    openSeaChest_SMART - openSeaChest drive utilities - NVMe Enabled Copyright (c) 2014-2024 Seagate Technology LLC and/or its Affiliates, All Rights Reserved openSeaChest_SMART Version: 2.5.1-8_0_1 X86_64 Build Date: Sep 19 2024 Today: 20240925T133707 User: current user

========================================================================================== Version Info for openSeaChest_SMART:

    Utility Version: 2.5.1 opensea-common Version: 4.1.0 opensea-transport Version: 8.0.1 opensea-operations Version: 8.0.2 Build Date: Sep 19 2024 Compiled Architecture: X86_64 Detected Endianness: Little Endian Compiler Used: GCC Compiler Version: 11.4.0 Operating System Type: Linux Operating System Version: 5.15.153-1 Operating System Name: Ubuntu 22.04.4 LTS

SEE ALSO
The full documentation for openSeaChest_SMART is maintained as a Texinfo manual. If the info and openSeaChest_SMART programs are properly installed at your site, the command

    info openSeaChest_SMART

should give you access to the complete manual.